Name:           xfce-polkit
Version:        0.2
Release:        4%{?dist}
Summary:        Simple PolicyKit authentication agent for Xfce

License:        GPLv2+
URL:            https://github.com/ncopa/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# desktop file https://github.com/ncopa/xfce-polkit/issues/2
Patch0:         https://github.com/ncopa/xfce-polkit/commit/fabc2f7756cfb1a9cccfcc675d0857b3d3e98f84.patch

BuildRequires:  automake
BuildRequires:  libxfce4ui-devel polkit-devel

Provides: PolicyKit-authentication-agent

Requires: polkit >= 0.97

%description
%{summary}.


%prep
%autosetup
# till Fedora 23, we use gnome-polkit instead
%if 0%{?fedora} <= 23
sed -i /desktop/d Makefile.am
%endif
aclocal
autoconf
automake --add-missing

%build
%configure # --libexecdir=%{_libexecdir}/%{name}
%make_build

%install
%make_install


%files
%license LICENSE
%doc AUTHORS README.md
# do not distribute empty documentation files
#doc ChangeLog NEWS
%{_libexecdir}/%{name}
%if 0%{?fedora} > 23
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%endif


%changelog
* Sat Dec 19 2015 Raphael Groner <projects.rg@smart.ms> - 0.2-4
- disable desktop file in Fedora 23 and prior (in favor of gnome-polkit)

* Sat Dec 19 2015 Raphael Groner <projects.rg@smart.ms> - 0.2-3
- show name in xfce4-session, rhbz#1281464

* Sun Nov 08 2015 Kevin Fenzi <kevin@scrye.com> - 0.2-2
- Enable desktop file.

* Sat Sep 26 2015 Raphael Groner <projects.rg@smart.ms> - 0.2-1
- new version 0.2, rhbz#1266689
- disable default autostart for now to avoid conflict with xfce4-session

* Sat Sep 26 2015 Raphael Groner <projects.rg@smart.ms> - 0.1-1
- official upstream version 0.1

* Sat Sep 26 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.2.20150924git05568a1
- fix segfault with glib-2.45 (upstream), rhbz#1264590

* Mon Jul 27 2015 Raphael Groner <projects.rg@smart.ms> - 0-0.1.20130717gitbe888ee
- initial
